/// <reference types="hoist-non-react-statics" />
import React, { ComponentProps } from 'react';
export interface ActionListDivProps {
    /**
     * ActionList가 position:sticky 속성을 가지는 지를 결정합니다.
     * true인 경우 스크롤를 내렸을 때 화면 상단에 붙습니다.
     */
    isSticky: boolean;
    /**
     * isSticky가 'true'일 때 화면 상단에서 얼마나 떨어져 있을 지를 결정합니다.
     */
    stickyTop?: number;
}
/**
 * 여러 액션 버튼이 있는 컴포넌트입니다.
 */
export declare const ActionList: string & import("styled-components").StyledComponentBase<"div", any, ActionListDivProps, never> & import("hoist-non-react-statics").NonReactStatics<never, {}> & {
    Item: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<import("react-router-dom").LinkProps & React.RefAttributes<HTMLAnchorElement>>, any, {}, never>;
    Divider: import("styled-components").StyledComponent<"div", any, {}, never>;
};
export declare type ActionListProps = ComponentProps<typeof ActionList>;
