import styled from 'styled-components';
import React from 'react';
import { cv } from '../../style';
import { Button } from '../button';
const BoxOuter = styled.div`
    border: solid 1px ${cv.border3};
    border-radius: 4px;
`;
const BoxDiv = styled.div`
    padding: 22px 24px;

    font-size: 0.875rem;
    font-weight: 400;
    line-height: 1.6;

    display: flex;
    flex-direction: column;
    gap: 8px;
`;
const BoxTitle = styled.h4`
    font-size: 1.25rem;
    line-height: 1.5;
    font-weight: 600px;
    letter-spacing: -0.020625rem;
`;
const BoxHeaderDiv = styled.div`
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 8px 24px;
    background-color: ${cv.bg_element2};
    border-bottom: solid 1px ${cv.border3};
    font-size: 0.875rem;
`;
const BoxFooterDiv = styled.div`
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 16px 24px;
    background-color: ${cv.bg_element2};
    border-top: solid 1px ${cv.border3};
    font-size: 0.875rem;
`;

function BoxFooter(props) {
  return /*#__PURE__*/React.createElement(BoxFooterDiv, null, /*#__PURE__*/React.createElement("div", null, props.text), /*#__PURE__*/React.createElement(Button, props.button));
}

/**
 * 디자인을 위한 컴포넌트입니다.
 *
 * 만약 레이아웃만을 위한 태그가 필요하다면 <Flex>를 사용해주세요.
 */
export function Box(props) {
  if (props.footer && props.footerTemplate) {
    throw new Error('You can ese either "footer" or "footerNode"');
  }

  return /*#__PURE__*/React.createElement(BoxOuter, null, /*#__PURE__*/React.createElement(React.Fragment, null, props.header && /*#__PURE__*/React.createElement(BoxHeaderDiv, null, props.header), /*#__PURE__*/React.createElement(BoxDiv, null, props.title && /*#__PURE__*/React.createElement(BoxTitle, null, props.title), props.children), props.footerTemplate && /*#__PURE__*/React.createElement(BoxFooter, props.footerTemplate), props.footer && /*#__PURE__*/React.createElement(BoxFooterDiv, null, props.footer)));
}