/// <reference types="hoist-non-react-statics" />
import React from 'react';
import { HeaderSubMenu } from './headerSubMenu';
import { HeaderNotice } from './headerNotice';
export interface HeaderProps {
    /**
     * Header에 들어가는 내용입니다. \<Header.Notice\>, \<Header.Nav\>, \<Header.SubMenu\> 순으로 작성합니다.
     *
     * \<Header.Notice\>는 선택이나, 포함하지 않는 경우 useHeaderNotice()를 사용할 수 없습니다.
     */
    children: React.ReactNode;
}
/**
 * 페이지 가장 위에 들어가는 Header입니다.
 */
export declare const Header: string & import("styled-components").StyledComponentBase<"header", any, {}, never> & import("hoist-non-react-statics").NonReactStatics<never, {}> & {
    Nav: (({ children }: {
        children: React.ReactNode;
    }) => JSX.Element) & {
        Left: import("styled-components").StyledComponent<"div", any, {}, never>;
        Right: import("styled-components").StyledComponent<"div", any, {}, never>;
        Link: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<import("react-router-dom").LinkProps & React.RefAttributes<HTMLAnchorElement>>, any, {}, never>;
        Logo: ({ to, src }: {
            to: string;
            src: string;
        }) => JSX.Element;
        Button: import("styled-components").StyledComponent<"button", any, {}, never>;
    };
    SubMenu: typeof HeaderSubMenu;
    Notice: typeof HeaderNotice;
};
