function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/* eslint-disable react/prop-types */
import styled, { css } from 'styled-components';
import React, { useImperativeHandle, useRef } from 'react';
import { Flex } from '../layout';
import { Label } from './label';
const Divver = styled.div`
    position: relative;
    display: flex;
    align-items: center;
    border-radius: 4px;
    font-size: 0.875rem;
    gap: 8px;
`;
const StyledInput = styled.input`
    cursor: pointer;
`;
const RadioLabel = styled.label`
    font-size: 0.875rem;
    cursor: pointer;

    ${props => props.required && css`
            ::after {
                content: ' *';
            }
        `}
`;
export const Radio = /*#__PURE__*/React.forwardRef((props, ref) => {
  const inputRef = useRef(null);
  useImperativeHandle(ref, () => inputRef.current);
  return /*#__PURE__*/React.createElement(Divver, null, /*#__PURE__*/React.createElement(StyledInput, _extends({}, props, {
    type: "radio",
    ref: inputRef
  }), props.children), props.label && /*#__PURE__*/React.createElement(RadioLabel, {
    onClick: () => inputRef.current?.click()
  }, props.label));
});
export function RadioGroup({
  children,
  label
}) {
  return /*#__PURE__*/React.createElement(Flex.Column, null, label && /*#__PURE__*/React.createElement(Label, {
    required: false
  }, label), /*#__PURE__*/React.createElement(Flex.Column, {
    gap: "12px"
  }, children));
}