function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import styled, { css } from 'styled-components';
import { cv } from '../../style';
import { Label } from './label';
import { Flex } from '..';
const SwitchDiv = styled.div`
    display: flex;
    align-items: center;
    gap: 8px;
`;
const Input = styled.input`
    appearance: none;

    width: 40px;
    height: 24px;
    border-radius: 12px;
    border: solid 1px ${cv.border3};
    background: ${cv.bg_element4};
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 150ms;
    position: relative;

    cursor: ${props => props.disabled ? 'not-allowed' : 'pointer'};

    &:checked {
        background-color: ${cv.blue1};
    }

    ::after {
        content: '';
        position: absolute;
        top: 1px;
        left: 2px;
        width: 20px;
        height: 20px;
        border-radius: 10px;
        background-color: ${cv.text5};
        transition: 150ms;
    }

    &:checked {
        ::after {
            left: 16px;
        }
    }
`;
const Text = styled.div`
    display: block;
    font-size: 14px;
    color: ${cv.text3};
    margin-bottom: 4px;

    ${props => props.required && css`
            ::after {
                content: ' *';
            }
        `}
`;

/**
 * \<Checkbox\>를 변형하여 스위치 형태로 표시하는 컴포넌트입니다.
 */
export const Switch = /*#__PURE__*/React.forwardRef((props, ref) => {
  const style = {
    backgroundColor: '',
    backgroundColorHover: '',
    borderColor: '',
    borderColorHover: ''
  };
  return /*#__PURE__*/React.createElement(Flex, {
    style: {
      flexDirection: 'column'
    }
  }, props.label && /*#__PURE__*/React.createElement(Label, {
    required: props.required || false
  }, props.label), /*#__PURE__*/React.createElement(SwitchDiv, null, /*#__PURE__*/React.createElement(Input, _extends({
    type: "checkbox"
  }, style, props, {
    ref: ref
  })), /*#__PURE__*/React.createElement(Text, {
    required: props.required || false
  }, props.text)));
});