import React from 'react';
declare type TokenSize = 'small' | 'medium' | 'large';
declare type TokenColor = 'default' | 'gray' | 'yellow' | 'red' | 'green' | 'blue';
declare type TokenVariant = 'default' | 'outlined';
export interface TokenProps {
    size?: TokenSize;
    color?: TokenColor;
    /**
     * 토큰의 외형입니다.
     */
    variant?: TokenVariant;
    /**
     * 토큰 왼쪽에 들어가는 아이콘입니다.
     */
    icon?: React.ReactNode;
    /**
     * 토큰 내부 컴포넌트입니다.
     */
    children?: React.ReactNode;
}
export declare function Token({ size, color, variant, icon, children }: TokenProps): JSX.Element;
export {};
