/* eslint-disable react/jsx-no-constructed-context-values */
import { IconContext } from 'phosphor-react';
import React from 'react';
import styled, { css } from 'styled-components';
import { cv, sv } from '../../style';
import { Flex } from '../layout';
const sizeMap = {
  small: css`
        padding: 0px 6px;
    `,
  medium: css`
        padding: 2px 8px;
    `,
  large: css`
        padding: 4px 12px;
        font-size: 14px;
    `
};
const colorMap = {
  default: {
    default: css`
            background-color: ${cv.bg_element3};
            border-color: ${cv.border3};
            color: ${cv.text2};
        `,
    gray: css`
            background-color: ${cv.bg_element5};
            border-color: ${cv.bg_element5};
            color: ${cv.text5};
        `,
    red: css`
            background-color: ${cv.red1};
            border-color: ${cv.red1};
            color: ${cv.white};
        `,
    yellow: css`
            background-color: ${cv.yellow1};
            border-color: ${cv.yellow1};
            color: ${cv.white};
        `,
    green: css`
            background-color: ${cv.green1};
            border-color: ${cv.green1};
            color: ${cv.white};
        `,
    blue: css`
            background-color: ${cv.blue1};
            border-color: ${cv.blue1};
            color: ${cv.white};
        `
  },
  outlined: {
    default: css`
            background-color: ${cv.bg_element1};
            border-color: ${cv.border3};
            color: ${cv.text2};
        `,
    gray: css`
            background-color: ${cv.bg_element1};
            border-color: ${cv.bg_element5};
            color: ${cv.bg_element5};
        `,
    red: css`
            background-color: ${cv.bg_element1};
            border-color: ${cv.red1};
            color: ${cv.red1};
        `,
    yellow: css`
            background-color: ${cv.bg_element1};
            border-color: ${cv.yellow1};
            color: ${cv.yellow1};
        `,
    green: css`
            background-color: ${cv.bg_element1};
            border-color: ${cv.green1};
            color: ${cv.green1};
        `,
    blue: css`
            background-color: ${cv.bg_element1};
            border-color: ${cv.blue1};
            color: ${cv.blue1};
        `
  }
};
const Icon = styled.div`
    display: flex;
    align-items: center;
    justify-content: center;
`;
const StyledToken = styled.div`
    ${sv.text.caption1};

    display: inline-flex;
    align-items: center;
    justify-content: center;
    border: solid 1px;
    border-radius: 99999px;
    font-weight: 500;
    gap: 4px;

    ${props => sizeMap[props.size]};
    ${props => colorMap[props.variant][props.color]};
`;
export function Token({
  size = 'medium',
  color = 'default',
  variant = 'default',
  icon,
  children
}) {
  return /*#__PURE__*/React.createElement(StyledToken, {
    size: size,
    color: color,
    variant: variant
  }, icon && /*#__PURE__*/React.createElement(IconContext.Provider, {
    value: {
      weight: 'bold',
      size: 14
    }
  }, /*#__PURE__*/React.createElement(Icon, null, icon)), /*#__PURE__*/React.createElement(Flex.Row, null, children));
}