function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { useContext, useMemo } from 'react';
import styled from 'styled-components';
import { IconContext } from 'phosphor-react';
import { Button } from '../../components';
import { ModalContext } from '../useModal/modalContext';
import { cv } from '../../style';
const Padding = styled.div`
    padding: 16px;
    padding-bottom: 0px;
    font-size: 0.875rem;
`;
const Icon = styled.div`
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 16px 0px 20px;
`;
const Title = styled.div`
    font-weight: 700;
    font-size: 18px;
    margin-bottom: 8px;
`;
const Content = styled.div``;
const Buttons = styled.div`
    /* background-color: ${cv.bg_element2}; */
    margin-top: 16px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 8px;
    /* border-top: solid 1px ${cv.border4}; */
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    font-size: 0.875rem;
    padding: 12px 16px;

    & > button {
        flex: 1;
    }
`;

function DialogScreen({
  content,
  close,
  buttons,
  title,
  icon
}) {
  const iconStyle = useMemo(() => ({
    size: 28,
    weight: 'bold'
  }), []);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Padding, null, icon && /*#__PURE__*/React.createElement(Icon, null, /*#__PURE__*/React.createElement(IconContext.Provider, {
    value: iconStyle
  }, icon)), title && /*#__PURE__*/React.createElement(Title, null, title), content && /*#__PURE__*/React.createElement(Content, null, content)), /*#__PURE__*/React.createElement(Buttons, null, buttons.map((e, i) =>
  /*#__PURE__*/
  // eslint-disable-next-line react/no-array-index-key
  React.createElement(Button, _extends({
    key: i
  }, e)))));
}

export function useDialog() {
  const modal = useContext(ModalContext);
  return ({
    title,
    buttons,
    content,
    notAutoClose,
    icon
  }) => {
    const MappedButtons = buttons.map(e => ({ ...e,
      onClick: () => {
        e.onClick();
        if (!notAutoClose || e.closeModal) modal.close();
      }
    }));
    modal.open( /*#__PURE__*/React.createElement(DialogScreen, {
      close: modal.close,
      content: content,
      buttons: MappedButtons,
      title: title,
      icon: icon
    }), {
      isPadding: false
    });
  };
}