import React, { createContext, useCallback, useMemo, useState } from 'react';
export const HeaderNoticeContext = /*#__PURE__*/createContext({
  open: () => null,
  close: () => null,
  isOpen: false,
  content: ''
});

function HeaderNoticeProvider({
  children
}) {
  const [isOpen, setOpen] = useState(false);
  const [headerNoticeContent, setHeaderNoticeContent] = useState('');
  const open = useCallback(content => {
    setOpen(true);
    setHeaderNoticeContent(content);
  }, []);
  const close = useCallback(() => {
    setOpen(false);
  }, []);
  const value = useMemo(() => ({
    isOpen,
    open,
    close,
    content: headerNoticeContent
  }), [close, headerNoticeContent, isOpen, open]);
  return /*#__PURE__*/React.createElement(HeaderNoticeContext.Provider, {
    value: value
  }, children);
}

export default HeaderNoticeProvider;