import React, { useState, createContext, useRef, useMemo } from 'react';
import { TopLoadingBar } from '../../components/topLoadingBar';

const sleep = ms => {
  // eslint-disable-next-line no-promise-executor-return
  return new Promise(r => setTimeout(r, ms));
};

export const TopLoadingContext = /*#__PURE__*/createContext({
  setProgress: () => null,
  start: () => null,
  end: () => null
});
export const TopLoadingValueContext = /*#__PURE__*/createContext({
  progress: 0
});

function TopLoadingContextProvider({
  children
}) {
  const [progress, setProgress] = useState(0);
  const [isShow, setShow] = useState(false);
  const timer = useRef();
  const action = useMemo(() => ({
    start() {
      setProgress(10);
      setShow(true);
    },

    end() {
      setProgress(100);
      clearTimeout(timer.current);
      timer.current = setTimeout(async () => {
        setShow(false);
        await sleep(200);
        setProgress(0);
      }, 350);
    },

    setProgress(newProgress) {
      setProgress(10 + newProgress / 10 * 9);
    }

  }), []);
  const value = useMemo(() => ({
    progress
  }), [progress]);
  return /*#__PURE__*/React.createElement(TopLoadingContext.Provider, {
    value: action
  }, /*#__PURE__*/React.createElement(TopLoadingValueContext.Provider, {
    value: value
  }, /*#__PURE__*/React.createElement(TopLoadingBar, {
    width: progress,
    isShow: isShow
  }), children));
}

export default TopLoadingContextProvider;