const cssVariable = {
  vh: '1vh',
  fontFamily: `"Inter", 'Noto Sans KR', -apple-system,BlinkMacSystemFont,"Segoe UI","Roboto","Oxygen","Ubuntu","Cantarell","Fira Sans","Droid Sans","Helvetica Neue",sans-serif`,
  fontFamilyMonospace: `Consolas, 'Courier New', Courier, monospaceFont family fontFamilyMonospace`,
  fontWeightRegular: 400,
  fontWeightSemiBold: 600,
  fontSizeNormal: 'var(--fontSize400)',
  fontSize200: '10px',
  fontSize300: '12px',
  fontSize400: '14px',
  fontSize500: '16px',
  fontSize600: '20px',
  lineHeightNormal: 'var(--lineHeight400)',
  lineHeight200: '16px',
  lineHeight300: '20px',
  lineHeight400: '24px',
  pageWidth: '1200px'
};

const buildCssVariable = variables => {
  const keys = Object.keys(variables);
  return keys.reduce((acc, key) => acc.concat(`--${key.replace(/_/g, '-')}: ${variables[key]};`, '\n'), '');
};

export const builtCssVariable = buildCssVariable(cssVariable);

const cssVar = name => `var(--${name.replace(/_/g, '-')})`;

const variableKeys = Object.keys(cssVariable);
export const cssPalette = variableKeys.reduce((acc, current) => {
  acc[current] = cssVar(current);
  return acc;
}, {});