// TODO: #3 black 테마 추가시 box-shadow에 대한 수정 필요
export const themeVariableSets = {
  light: {
    white: '#fff',
    black: '#000',
    bg_page1: '#F8F9FA',
    bg_page2: '#FFFFFF',
    bg_element1: '#FFFFFF',
    bg_element2: '#F5F6F8',
    bg_element3: '#E9ECEF',
    bg_element4: '#DEE2E6',
    bg_element5: '#212529',
    bg_element6: '#343A40',
    border1: '#343A40',
    border2: '#ADB5BD',
    border3: '#c9d1da',
    // gray4
    border4: '#e5e9ec',
    outline: '#acd7ff',
    // blue3
    text1: '#212529',
    text2: '#495057',
    text3: '#868E96',
    // gray5
    text4: '#CED4DA',
    text5: '#FFFFFF',
    red1: 'rgba(216, 80, 74, 1)',
    bg_red1: 'rgba(216, 80, 74, 0.1)',
    bg_red1_hover: 'rgba(216, 80, 74, 0.15)',
    yellow1: 'rgba(250, 175, 0, 1)',
    bg_yellow1: 'rgba(250, 175, 0, 0.1)',
    bg_yellow1_hover: 'rgba(250, 175, 0, 0.15)',
    green1: 'rgba(57, 183, 93, 1)',
    bg_green1: 'rgba(57, 183, 93, 0.1)',
    bg_green1_hover: 'rgba(57, 183, 93, 0.15)',
    blue1: 'rgba(32, 151, 246, 1)',
    bg_blue1: 'rgba(32, 151, 246, 0.1)',
    bg_blue1_hover: 'rgba(32, 151, 246, 0.15)'
  }
};

const buildCssVariables = variables => {
  const keys = Object.keys(variables);
  return keys.reduce((acc, key) => acc.concat(`--${key.replace(/_/g, '-')}: ${variables[key]};`, '\n'), '');
};

export const themes = {
  light: buildCssVariables(themeVariableSets.light)
};

const cssVar = name => `var(--${name.replace(/_/g, '-')})`;

const variableKeys = Object.keys(themeVariableSets.light);
export const themedPalette = variableKeys.reduce((acc, current) => {
  acc[current] = cssVar(current);
  return acc;
}, {});